# Get series

| **Description** | Retrieves the time series of a feature                                             |
| --------------- | ---------------------------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/feature/{featureId}/series/element` |
| **Method**      | GET                                                                                |

### Access Level Rules

| **Access Level** | view+ |
| ---------------- | ----- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="389">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp.</td><td>true</td><td></td></tr><tr><td><code>featureId</code></td><td>The id of the feature.</td><td>true</td><td></td></tr><tr><td><code>dateTo</code></td><td>Date time till which to retrieve the time series.</td><td>false</td><td>Default null.</td></tr><tr><td><code>userId</code></td><td>The id of the user from which to retrieve the time series.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageStart</code></td><td>JSON containing properties "dateFrom" and optional property "seriesId" defining where to start the search from.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageSize</code></td><td>The maximum number of time series to retrieve. Maximum 5000.</td><td>false</td><td>Default 5000.</td></tr><tr><td><code>property</code></td><td>The time series property to return.</td><td>false</td><td>Returns all properties by default.</td></tr><tr><td><code>deleted</code></td><td>Boolean whether only deleted or non-deleted time series should be returned.</td><td>false</td><td>Default false.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-time-series/get-series.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
